## PhoshLogin1SessionDBusLoginSessionSkeleton

PhoshLogin1SessionDBusLoginSessionSkeleton

## Functions

GDBusInterfaceInfo * | phosh_login1_session_dbus_login_session_interface_info ()
guint | phosh_login1_session_dbus_login_session_override_properties ()
void | phosh_login1_session_dbus_login_session_complete_set_locked_hint ()
void | phosh_login1_session_dbus_login_session_complete_set_brightness ()
void | phosh_login1_session_dbus_login_session_emit_lock ()
void | phosh_login1_session_dbus_login_session_emit_unlock ()
void | phosh_login1_session_dbus_login_session_call_set_locked_hint ()
gboolean | phosh_login1_session_dbus_login_session_call_set_locked_hint_finish ()
gboolean | phosh_login1_session_dbus_login_session_call_set_locked_hint_sync ()
void | phosh_login1_session_dbus_login_session_call_set_brightness ()
gboolean | phosh_login1_session_dbus_login_session_call_set_brightness_finish ()
gboolean | phosh_login1_session_dbus_login_session_call_set_brightness_sync ()
gboolean | phosh_login1_session_dbus_login_session_get_active ()
void | phosh_login1_session_dbus_login_session_set_active ()
gboolean | phosh_login1_session_dbus_login_session_get_locked_hint ()
void | phosh_login1_session_dbus_login_session_set_locked_hint ()
void | phosh_login1_session_dbus_login_session_proxy_new ()
PhoshLogin1SessionDBusLoginSession * | phosh_login1_session_dbus_login_session_proxy_new_finish ()
PhoshLogin1SessionDBusLoginSession * | phosh_login1_session_dbus_login_session_proxy_new_sync ()
void | phosh_login1_session_dbus_login_session_proxy_new_for_bus ()
PhoshLogin1SessionDBusLoginSession * | phosh_login1_session_dbus_login_session_proxy_new_for_bus_finish ()
PhoshLogin1SessionDBusLoginSession * | phosh_login1_session_dbus_login_session_proxy_new_for_bus_sync ()
PhoshLogin1SessionDBusLoginSession * | phosh_login1_session_dbus_login_session_skeleton_new ()

## Properties

gboolean | active | Read / Write
gboolean | locked-hint | Read / Write

## Signals

gboolean | handle-set-brightness | Run Last
gboolean | handle-set-locked-hint | Run Last
void | lock | Run Last
void | unlock | Run Last

## Types and Values

struct | PhoshLogin1SessionDBusLoginSessionIface
struct | PhoshLogin1SessionDBusLoginSessionProxy
struct | PhoshLogin1SessionDBusLoginSessionProxyClass
struct | PhoshLogin1SessionDBusLoginSessionSkeleton
struct | PhoshLogin1SessionDBusLoginSessionSkeletonClass
| PhoshLogin1SessionDBusLoginSession
| PhoshLogin1SessionDBusLoginSessionProxyPrivate
| PhoshLogin1SessionDBusLoginSessionSkeletonPrivate

## Object Hierarchy

        GInterface
        ╰── PhoshLogin1SessionDBusLoginSession
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── PhoshLogin1SessionDBusLoginSessionSkeleton
        ╰── GDBusProxy
            ╰── PhoshLogin1SessionDBusLoginSessionProxy

## Prerequisites

PhoshLogin1SessionDBusLoginSession requires GObject.

## Implemented Interfaces

PhoshLogin1SessionDBusLoginSessionProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshLogin1SessionDBusLoginSession.

PhoshLogin1SessionDBusLoginSessionSkeleton implements GDBusInterface and PhoshLogin1SessionDBusLoginSession.

## Known Implementations

PhoshLogin1SessionDBusLoginSession is implemented by PhoshLogin1SessionDBusLoginSessionProxy and PhoshLogin1SessionDBusLoginSessionSkeleton.

## Description

## Functions

### phosh_login1_session_dbus_login_session_interface_info ()

    GDBusInterfaceInfo *
    phosh_login1_session_dbus_login_session_interface_info
                                   (void);

Gets a machine-readable description of the org.freedesktop.login1.Session D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_login1_session_dbus_login_session_override_properties ()

    guint
    phosh_login1_session_dbus_login_session_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshLogin1SessionDBusLoginSession interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_login1_session_dbus_login_session_complete_set_locked_hint ()

    void
    phosh_login1_session_dbus_login_session_complete_set_locked_hint
                                   (PhoshLogin1SessionDBusLoginSession *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetLockedHint()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_login1_session_dbus_login_session_complete_set_brightness ()

    void
    phosh_login1_session_dbus_login_session_complete_set_brightness
                                   (PhoshLogin1SessionDBusLoginSession *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetBrightness()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_login1_session_dbus_login_session_emit_lock ()

    void
    phosh_login1_session_dbus_login_session_emit_lock
                                   (PhoshLogin1SessionDBusLoginSession *object);

Emits the "Lock" D-Bus signal.

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |

### phosh_login1_session_dbus_login_session_emit_unlock ()

    void
    phosh_login1_session_dbus_login_session_emit_unlock
                                   (PhoshLogin1SessionDBusLoginSession *object);

Emits the "Unlock" D-Bus signal.

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |

### phosh_login1_session_dbus_login_session_call_set_locked_hint ()

    void
    phosh_login1_session_dbus_login_session_call_set_locked_hint
                                   (PhoshLogin1SessionDBusLoginSession *proxy,
                                    gboolean arg_unnamed_arg0,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetLockedHint()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_login1_session_dbus_login_session_call_set_locked_hint_finish()` to get the result of the operation.

See `phosh_login1_session_dbus_login_session_call_set_locked_hint_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshLogin1SessionDBusLoginSessionProxy. |
arg_unnamed_arg0 | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_login1_session_dbus_login_session_call_set_locked_hint_finish ()

    gboolean
    phosh_login1_session_dbus_login_session_call_set_locked_hint_finish
                                   (PhoshLogin1SessionDBusLoginSession *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_login1_session_dbus_login_session_call_set_locked_hint()`.

#### Parameters

proxy | A PhoshLogin1SessionDBusLoginSessionProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_login1_session_dbus_login_session_call_set_locked_hint()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_login1_session_dbus_login_session_call_set_locked_hint_sync ()

    gboolean
    phosh_login1_session_dbus_login_session_call_set_locked_hint_sync
                                   (PhoshLogin1SessionDBusLoginSession *proxy,
                                    gboolean arg_unnamed_arg0,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetLockedHint()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_login1_session_dbus_login_session_call_set_locked_hint()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshLogin1SessionDBusLoginSessionProxy. |
arg_unnamed_arg0 | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_login1_session_dbus_login_session_call_set_brightness ()

    void
    phosh_login1_session_dbus_login_session_call_set_brightness
                                   (PhoshLogin1SessionDBusLoginSession *proxy,
                                    const gchar *arg_subsystem,
                                    const gchar *arg_name,
                                    guint arg_brightness,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetBrightness()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_login1_session_dbus_login_session_call_set_brightness_finish()` to get the result of the operation.

See `phosh_login1_session_dbus_login_session_call_set_brightness_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshLogin1SessionDBusLoginSessionProxy. |
arg_subsystem | Argument to pass with the method invocation. |
arg_name | Argument to pass with the method invocation. |
arg_brightness | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_login1_session_dbus_login_session_call_set_brightness_finish ()

    gboolean
    phosh_login1_session_dbus_login_session_call_set_brightness_finish
                                   (PhoshLogin1SessionDBusLoginSession *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_login1_session_dbus_login_session_call_set_brightness()`.

#### Parameters

proxy | A PhoshLogin1SessionDBusLoginSessionProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_login1_session_dbus_login_session_call_set_brightness()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_login1_session_dbus_login_session_call_set_brightness_sync ()

    gboolean
    phosh_login1_session_dbus_login_session_call_set_brightness_sync
                                   (PhoshLogin1SessionDBusLoginSession *proxy,
                                    const gchar *arg_subsystem,
                                    const gchar *arg_name,
                                    guint arg_brightness,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetBrightness()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_login1_session_dbus_login_session_call_set_brightness()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshLogin1SessionDBusLoginSessionProxy. |
arg_subsystem | Argument to pass with the method invocation. |
arg_name | Argument to pass with the method invocation. |
arg_brightness | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_login1_session_dbus_login_session_get_active ()

    gboolean
    phosh_login1_session_dbus_login_session_get_active
                                   (PhoshLogin1SessionDBusLoginSession *object);

Gets the value of the "Active" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |

#### Returns

The property value.

### phosh_login1_session_dbus_login_session_set_active ()

    void
    phosh_login1_session_dbus_login_session_set_active
                                   (PhoshLogin1SessionDBusLoginSession *object,
                                    gboolean value);

Sets the "Active" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |
value | The value to set. |

### phosh_login1_session_dbus_login_session_get_locked_hint ()

    gboolean
    phosh_login1_session_dbus_login_session_get_locked_hint
                                   (PhoshLogin1SessionDBusLoginSession *object);

Gets the value of the "LockedHint" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |

#### Returns

The property value.

### phosh_login1_session_dbus_login_session_set_locked_hint ()

    void
    phosh_login1_session_dbus_login_session_set_locked_hint
                                   (PhoshLogin1SessionDBusLoginSession *object,
                                    gboolean value);

Sets the "LockedHint" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |
value | The value to set. |

### phosh_login1_session_dbus_login_session_proxy_new ()

    void
    phosh_login1_session_dbus_login_session_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.login1.Session. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_login1_session_dbus_login_session_proxy_new_finish()` to get the result of the operation.

See `phosh_login1_session_dbus_login_session_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_login1_session_dbus_login_session_proxy_new_finish ()

    PhoshLogin1SessionDBusLoginSession *
    phosh_login1_session_dbus_login_session_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_login1_session_dbus_login_session_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_login1_session_dbus_login_session_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshLogin1SessionDBusLoginSessionProxy]

### phosh_login1_session_dbus_login_session_proxy_new_sync ()

    PhoshLogin1SessionDBusLoginSession *
    phosh_login1_session_dbus_login_session_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.login1.Session. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_login1_session_dbus_login_session_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshLogin1SessionDBusLoginSessionProxy]

### phosh_login1_session_dbus_login_session_proxy_new_for_bus ()

    void
    phosh_login1_session_dbus_login_session_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_login1_session_dbus_login_session_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_login1_session_dbus_login_session_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_login1_session_dbus_login_session_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_login1_session_dbus_login_session_proxy_new_for_bus_finish ()

    PhoshLogin1SessionDBusLoginSession *
    phosh_login1_session_dbus_login_session_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_login1_session_dbus_login_session_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_login1_session_dbus_login_session_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshLogin1SessionDBusLoginSessionProxy]

### phosh_login1_session_dbus_login_session_proxy_new_for_bus_sync ()

    PhoshLogin1SessionDBusLoginSession *
    phosh_login1_session_dbus_login_session_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_login1_session_dbus_login_session_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_login1_session_dbus_login_session_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshLogin1SessionDBusLoginSessionProxy]

### phosh_login1_session_dbus_login_session_skeleton_new ()

    PhoshLogin1SessionDBusLoginSession *
    phosh_login1_session_dbus_login_session_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.login1.Session.

#### Returns

The skeleton object.

[transfer full][type PhoshLogin1SessionDBusLoginSessionSkeleton]

## Types and Values

### struct PhoshLogin1SessionDBusLoginSessionIface

    struct PhoshLogin1SessionDBusLoginSessionIface {
      GTypeInterface parent_iface;

      gboolean (*handle_set_brightness) (
        PhoshLogin1SessionDBusLoginSession *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_subsystem,
        const gchar *arg_name,
        guint arg_brightness);

      gboolean (*handle_set_locked_hint) (
        PhoshLogin1SessionDBusLoginSession *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_unnamed_arg0);

      gboolean  (*get_active) (PhoshLogin1SessionDBusLoginSession *object);

      gboolean  (*get_locked_hint) (PhoshLogin1SessionDBusLoginSession *object);

      void (*lock) (
        PhoshLogin1SessionDBusLoginSession *object);

      void (*unlock) (
        PhoshLogin1SessionDBusLoginSession *object);
    };

Virtual table for the D-Bus interface org.freedesktop.login1.Session.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_set_brightness` () | Handler for the “handle-set-brightness” signal. |
`handle_set_locked_hint` () | Handler for the “handle-set-locked-hint” signal. |
`get_active` () | Getter for the “active” property. |
`get_locked_hint` () | Getter for the “locked-hint” property. |
`lock` () | Handler for the “lock” signal. |
`unlock` () | Handler for the “unlock” signal. |

### struct PhoshLogin1SessionDBusLoginSessionProxy

    struct PhoshLogin1SessionDBusLoginSessionProxy;

The PhoshLogin1SessionDBusLoginSessionProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshLogin1SessionDBusLoginSessionProxyClass

    struct PhoshLogin1SessionDBusLoginSessionProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshLogin1SessionDBusLoginSessionProxy.

#### Members

### struct PhoshLogin1SessionDBusLoginSessionSkeleton

    struct PhoshLogin1SessionDBusLoginSessionSkeleton;

The PhoshLogin1SessionDBusLoginSessionSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshLogin1SessionDBusLoginSessionSkeletonClass

    struct PhoshLogin1SessionDBusLoginSessionSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshLogin1SessionDBusLoginSessionSkeleton.

#### Members

### PhoshLogin1SessionDBusLoginSession

    typedef struct _PhoshLogin1SessionDBusLoginSession PhoshLogin1SessionDBusLoginSession;

Abstract interface type for the D-Bus interface org.freedesktop.login1.Session.

### PhoshLogin1SessionDBusLoginSessionProxyPrivate

    typedef struct _PhoshLogin1SessionDBusLoginSessionProxyPrivate PhoshLogin1SessionDBusLoginSessionProxyPrivate;

### PhoshLogin1SessionDBusLoginSessionSkeletonPrivate

    typedef struct _PhoshLogin1SessionDBusLoginSessionSkeletonPrivate PhoshLogin1SessionDBusLoginSessionSkeletonPrivate;

## Property Details

### The `“active”` property

      “active”                   gboolean

Represents the D-Bus property "Active".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshLogin1SessionDBusLoginSession

Flags: Read / Write

Default value: FALSE

### The `“locked-hint”` property

      “locked-hint”              gboolean

Represents the D-Bus property "LockedHint".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshLogin1SessionDBusLoginSession

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“handle-set-brightness”` signal

    gboolean
    user_function (PhoshLogin1SessionDBusLoginSession *object,
                   GDBusMethodInvocation              *invocation,
                   char                               *arg_subsystem,
                   char                               *arg_name,
                   guint                               arg_brightness,
                   gpointer                            user_data)

Signal emitted when a remote caller is invoking the `SetBrightness()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_login1_session_dbus_login_session_complete_set_brightness()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |
invocation | A GDBusMethodInvocation. |
arg_subsystem | Argument passed by remote caller. |
arg_name | Argument passed by remote caller. |
arg_brightness | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-locked-hint”` signal

    gboolean
    user_function (PhoshLogin1SessionDBusLoginSession *object,
                   GDBusMethodInvocation              *invocation,
                   gboolean                            arg_unnamed_arg0,
                   gpointer                            user_data)

Signal emitted when a remote caller is invoking the `SetLockedHint()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_login1_session_dbus_login_session_complete_set_locked_hint()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |
invocation | A GDBusMethodInvocation. |
arg_unnamed_arg0 | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“lock”` signal

    void
    user_function (PhoshLogin1SessionDBusLoginSession *object,
                   gpointer                            user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "Lock" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“unlock”` signal

    void
    user_function (PhoshLogin1SessionDBusLoginSession *object,
                   gpointer                            user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "Unlock" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshLogin1SessionDBusLoginSession. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last